-- Script saved from Dejal Simon 2.5b1 <http://www.dejal.com/simon/>
-- 
-- Saved by David Sinclair on 2008-10-09 22:42:12
-- 
-- Script is for AppleScript: /usr/bin/osascript

-- *** INSTRUCTIONS: ***
-- 
-- Checks the S.M.A.R.T. status of all mounted disk volumes.  Ignores 
-- volumes that don't support reporting S.M.A.R.T. status.  Results in a 
-- failure if a problem is detected. 

-- *** CUSTOM RESULTS: ***
-- 
-- 0: Success
-- 1: The S.M.A.R.T. status indicates a disk hardware problem.

-- *** SCRIPT: ***

-- Get the list of volumes:
do shell script "diskutil list | grep /dev/"

set volumeList to paragraphs of result
set n to count of items of volumeList
set results to 0

repeat with i from 1 to n
	set thisVolume to item i of volumeList
	try
		-- Get the SMART status of this volume:
		do shell script "diskutil info " & thisVolume & " | grep SMART"
		set status to result
		
		-- If the status is something other than "Not Supported" or "Verified", it's a failure:
		if (status does not end with "Not Supported") and (word 3 of status is not "Verified") then
			set results to 1
		end if
	end try
end repeat

return results
